Last Comment Bug 604294 - unicode-bidi: bidi-override doesn't work on table cells
: unicode-bidi: bidi-override doesn't work on table cells
Status: RESOLVED FIXED
: css2
Product: Core
Classification: Components
Component: Layout: Tables (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
:
Mentors:
http://test.csswg.org/suites/css2.1/2...
Depends on:
Blocks: css2.1-tests
  Show dependency treegraph
 
Reported: 2010-10-13 22:52 PDT by David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
Modified: 2011-04-22 19:17 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (4.25 KB, patch)
2011-04-21 23:42 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
bzbarsky: review+
Details | Diff | Review

Description David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2010-10-13 22:52:57 PDT
http://test.csswg.org/suites/css2.1/20101001/xhtml1/bidi-override-002.xht shows that unicode-bidi: bidi-override doesn't work on table cells.

I think all we need to do to fix this is give the anonymous block that lives inside table cells unicode-bidi: inherit.
Comment 1 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2010-10-13 22:58:24 PDT
Work in progress, although these rules could use a little cleanup:
http://hg.mozilla.org/users/dbaron_mozilla.com/patches/raw-file/07626d34460e/unicode-bidi-inherit
Comment 2 Boris Zbarsky [:bz] 2010-10-13 23:00:27 PDT
Do we need similar changes to ::-moz-fieldset-content?
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-04-21 23:42:31 PDT
Created attachment 527729 [details] [diff] [review]
patch

As far as I can tell, adding to :-moz-anonymous-block and :-moz-anonymous-positioned-block shouldn't make any difference since they always contain other blocks, but it seems like a good idea to add it anyway in case we use those pseudos for other things.
Comment 5 Boris Zbarsky [:bz] 2011-04-22 10:42:45 PDT
Comment on attachment 527729 [details] [diff] [review]
patch

r=me
Comment 6 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-04-22 19:17:58 PDT
https://hg.mozilla.org/mozilla-central/rev/b3d5c9a7a5e5

Note You need to log in before you can comment on or make changes to this bug.